unit uBizHistoricoMovimientos;

interface

uses
  uDAInterfaces, uDADataTable, schHistoricoMovimientosClient_Intf,
  uDBSelectionListUtils;

const
  BIZ_CLIENT_HISTORICO_MOVIMIENTOS = 'Client.HistoricoMovimientos';

type
  IBizHistoricoMovimientos = interface(IHistoricoMovimientos)
  ['{7B2C3A2C-F96E-4BC0-85D6-D513FAD65118}']
  end;

  TBizHistoricoMovimientos = class(THistoricoMovimientosDataTableRules, IBizHistoricoMovimientos, ISeleccionable)
  protected
    FSeleccionableInterface : ISeleccionable;

  public
    property SeleccionableInterface : ISeleccionable read FSeleccionableInterface
        write FSeleccionableInterface implements ISeleccionable;

    constructor Create(aDataTable: TDADataTable); override;
    destructor Destroy; override;
  end;

implementation

uses
  Dialogs, uDACDSDataTable, SysUtils;

{ TBizHistoricoMovimientos }

constructor TBizHistoricoMovimientos.Create(aDataTable: TDADataTable);
begin
  inherited;
  FSeleccionableInterface := TSeleccionable.Create(aDataTable);
end;

destructor TBizHistoricoMovimientos.Destroy;
begin
  FSeleccionableInterface := NIL;
  inherited;
end;

initialization
  RegisterDataTableRules(BIZ_CLIENT_HISTORICO_MOVIMIENTOS, TBizHistoricoMovimientos);

end.
